<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

use Schaffen\Core\Company\Repositories\BranchRepository;
use Schaffen\Fiscal\NfeDownloader\Services\SefazDownloader;
use Schaffen\Core\Company\Repositories\CompanyRepository;
use Schaffen\Core\Person\Repositories\PersonRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\IssuerRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\AddressRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\NFeSearchRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\NFeRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileContentRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileRepository;


class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param Schedule $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')
        //          ->hourly();
        $schedule->call(function () {
            $sefazDownloader = new SefazDownloader(
                new CompanyRepository(),
                new IssuerRepository(),
                new PersonRepository(),
                new NFeSearchRepository(),
                new FileContentRepository(),
                new FileRepository(),
                new AddressRepository(),
                new NFeRepository(),
                new BranchRepository()
            );
            $sefazDownloader->getClients();
        })->everyMinute();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }
}
