<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class LogRouteMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        Log::info(
            'LOG_PATH'.' '.json_encode([
                'url' => $request->fullUrl(),
                'headers' => $request->headers->all(),
                'inputs' => $request->all(),
            ])
        );
        return $next($request);
    }
}
